%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Computation of QNMs for slowly rotating Kerr-de Sitter black holes
%  by means of a quantization condition
%  (c) Semyon Dyatlov, UC Berkeley, 2010 <dyatlov@berkeley.edu>
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% KDSinit.m - create new instance of KDSData
% Computes alpha, deltarc
function KDSD = KDSinit(M, Lambda, a)
    KDSD.M = M;
    KDSD.Lambda = Lambda;
    KDSD.a = a;
    
    KDSD.alpha = Lambda * a * a / 3;
    KDSD.deltarc = [a * a, - 2 * M, 1 - KDSD.alpha, 0, - Lambda / 3];    
end
