%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Computation of QNMs for slowly rotating Kerr-de Sitter black holes
%  by means of a quantization condition
%  (c) Semyon Dyatlov, UC Berkeley, 2010 <dyatlov@berkeley.edu>
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% QNMsuffix.m - generate the end part of the QNM file name
% k, l, m - the parameters
% suf - the suffix

function suf = QNMsuffix(k, l, m)
    if (k >= 0)
        suf = ['n', int2str(m + 1), 'l', int2str(l), 'm', int2str(k), '.dat'];
    else
        suf = ['n', int2str(m + 1), 'l', int2str(l), 'mm', int2str(-k), '.dat'];
    end
end