
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Computation of QNMs for slowly rotating Kerr-de Sitter black holes
%  by means of a quantization condition
%  (c) Semyon Dyatlov, UC Berkeley, 2010 <dyatlov@berkeley.edu>
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% getQNM.m - the front end
% Lambda - parameter of the black hole.
% a - array of possible values of a
% k, l, m - quantization parameters
% N - order to which the quantization conditions are computed
% omega, lambda - arrays storing the answer for every specified value of a

function [omega, lambda] = getQNM(M, Lambda, a, k, l, m, N)

omega = [];
lambda = [];

for j = 1 : length(a)
    disp(['getQNM: k = ', int2str(k), ', l = ', int2str(l), ', m = ', int2str(m), ', a = ', num2str(a(j)), ', N = ', int2str(N)]);
    [omega(j), lambda(j)] = qcQNM(KDSinit(M, Lambda, a(j)), k, l, m, N, 1e-10, 100);
end
    
end