%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Computation of QNMs for slowly rotating Kerr-de Sitter black holes
%  by means of a quantization condition
%  (c) Semyon Dyatlov, UC Berkeley, 2010 <dyatlov@berkeley.edu>
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% jetdiff.m - compute the k-th derivative of a jet
% X - jet to be differentiated
% k - number of times to differentiate

function Y = jetdiff(X, k)

Y = X;
dp = size(X, 2);

% Iterative calculation - will replace if efficiency becomes a problem
for j = 1 : k
    if dp == 1
        error('Jet not deep enough to differentiate');
    end
    Y = Y(:, 2 : dp) * diag(1 : dp - 1);
    dp = dp - 1;
end

end