%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Computation of QNMs for slowly rotating Kerr-de Sitter black holes
%  by means of a quantization condition
%  (c) Semyon Dyatlov, UC Berkeley, 2010 <dyatlov@berkeley.edu>
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% jetid.m - the jet of the identity function
% depth - the depth of the jet we need to obtain
% grid - the grid

function X = jetid(depth, grid)

% Make sure the grid is vertical
if size(grid, 2) ~= 1
    grid = grid';
end

% f(x) = x
if depth == 1
    X = grid;
else
    X = [grid , ones(length(grid), 1) , zeros(length(grid), depth - 2)];
end

end