%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Computation of QNMs for slowly rotating Kerr-de Sitter black holes
%  by means of a quantization condition
%  (c) Semyon Dyatlov, UC Berkeley, 2010 <dyatlov@berkeley.edu>
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% jetinv.m - compute the inverse of a jet (-1'st power)
% X - jet to be inverted
% Y - the jet X^(-1)

function Y = jetinv(X)

dp = size(X, 2);

Y = zeros(size(X));
Y(:, 1) = 1 ./ X(:, 1);
for i = 2 : dp
    Y(:, i) = - sum(X(:, 2 : i) .* Y(:, i - 1 : -1 : 1),  2) ./ X(:, 1);
end

end