%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Computation of QNMs for slowly rotating Kerr-de Sitter black holes
%  by means of a quantization condition
%  (c) Semyon Dyatlov, UC Berkeley, 2010 <dyatlov@berkeley.edu>
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% jetsqrt.m - compute the square root of a jet
% X - jet to be taken square root of; X(:, 1) must be real-valued and positive
% Y - the square root of X

function Y = jetsqrt(X)

dp = size(X, 2);

Y = zeros(size(X));
Y(:, 1) = sqrt(X(:, 1));
for i = 2 : dp
    Y(:, i) = (X(:, i) - sum( Y(:, 2 : (i - 1)) .* Y(:,  (i - 1) : -1 : 2), 2)) ...
        ./ (2 * Y(:, 1));
end

end