%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Computation of QNMs for slowly rotating Kerr-de Sitter black holes
%  by means of a quantization condition
%  (c) Semyon Dyatlov, UC Berkeley, 2010 <dyatlov@berkeley.edu>
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% jetsum.m - add two jets
% X, Y - jets to be added
% Z - the sum of X and Y, truncated if necessary

function Z = jetsum(X, Y)

% Truncation code - common for several jet operations
dp = min(size(X, 2), size(Y, 2));
X = X(:, 1 : dp);
Y = Y(:, 1 : dp);

% The sum is easy
Z = X + Y;

end